Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.i18n
Class AbstractMessageHandler

    java.lang.Object
      org.pentaho.di.i18n.AbstractMessageHandler

All Implemented Interfaces:
  MessageHandler, Handler

Direct Known Subclasses:
  GlobalMessages

    public abstract class AbstractMessageHandler

extends Object
implements MessageHandler

Standard Message handler that takes a root package, plus key and resolves that into one/more resultant messages. This Handler is used by all message types to enable flexible look and feel as well as i18n to be implemented in variable ways.

Author:
  dhushon

Constructor Summary
`AbstractMessageHandler()`

Method Summary
`static MessageHandler` | `getInstance()` forced override to allow singleton instantiation through dynamic class loader
`static Locale` | `getLocale()` forced override, concrete implementations must provide implementation
`static void` | `setLocale(Locale newLocale)` forced override, concrete implementations must provide implementation

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.i18n.MessageHandler
`getString, getString, getString, getString, getString, getString, getString, getString`

Constructor Detail

### AbstractMessageHandler

    public AbstractMessageHandler()

Method Detail

### getInstance

    public static MessageHandler getInstance()

  forced override to allow singleton instantiation through dynamic class loader

  Returns:
    MessageHandler
  See Also:
    `for sample`

### getLocale

    public static Locale getLocale()

  forced override, concrete implementations must provide implementation

  Returns:
    Locale

### setLocale

    public static void setLocale(Locale newLocale)

  forced override, concrete implementations must provide implementation

  Parameters:
    `newLocale` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD